Subject: FYI: A new IETF working group relevant to "confctrl"

From: Ross Finlayson <[email-masked]>
Date: Tue, 29 Oct 1996 15:55:17 -0800

As SDP includes an event representation format, this new WG is somewhat
relevant.  (In particular, future versions of SDP should probably use this
new format, or at least something isomorphic to it.)

It was an omission on their part that SDP wasn't mentioned in the list of
prior work.  One of the goals that Mark Handley satisfied in SDP was the
consistent handling of repeated events, in spite of time zone changes.  I
hope that the event representation format that comes out of this new WG will
address this problem as well.

        Ross.

>To: IETF-Announce:;
>Subject: WG ACTION: Calendaring and Scheduling (calsch) 
>Date: Tue, 29 Oct 1996 14:33:07 -0500
>Sender: [email-masked]
>From: Cynthia Clark <[email-masked]>
>
>
>A new working group has been formed in the Applications Area
>of the IETF. For additional information, contact the Area Directors or 
>the WG Chair.
>
>Calendaring and Scheduling (calsch)
>-----------------------------------
>  
> Chair(s):
>     Anik Ganguly <[email-masked]>
>     R. Moskowitz <[email-masked]>
> 
> Applications Area Director(s): 
>     Keith Moore  <[email-masked]>
>     Harald Alvestrand  <[email-masked]>
> 
> Area Advisor
>     H. Alvestrand  <[email-masked]>
> 
> Mailing lists: 
>     General Discussion:[email-masked]
>     To Subscribe:      [email-masked]
>         In Body:       [SUBSCRIBE/UNSUBSCRIBE in Message body]
>     Archive:           
> 
>Description of Working Group:
> 
>Calendaring and group scheduling products are well established for
>organizational use, but they usually are limited to exchange of
>information among users of the same system, usually within the
>boundaries of a single organization. This working group will pursue
>development of standards to enable different products to interoperate
>and to work across organizational boundaries. This work will include
>the development of MIME content types to represent common objects
>needed for calendaring and group scheduling transactions and access
>protocols between systems and between clients and servers. The working
>group will also consider and recommend solutions to the security issues
>concerning the exchange of calendar information between network
>entities.
> 
>The group will exist to create standards that make calendaring and
>scheduling software significantly more useful and to enable a new class
>of solutions to be built that are only viable if open standards exist.
>The Calendaring and Scheduling Working Group is chartered to focus on
>Internet standards for three basic problems facing group scheduling and
>calendaring users today. These include the following:
> 
>1. A standard content type for capturing calendar event and to-do
>   information. The content type should be suitable as a MIME message
>   entity that can be transferred over MIME based email systems or HTTP
>   World Wide Web. The basic objects along with their representation using
>   MIME will be specified in the document entitled "Core Object
>   Specification".
> 
>2. A standard peer-to-peer protocol for common calendaring and group
>   scheduling transactions.  For example, these may include exchanging
>   over the Internet, event-requests, reply to event-requests,
>   cancellation notices for event-requests, requesting free/busy time
>   and replying to free/busy time requests between different
>   calendaring products.  The working group will undertake this work in
>   two phases, with the first phase focusing on meeting requests and
>   the second phase on free-busy time.  To the extent that the
>   peer-to-peer protocol has requirements related to security, the
>   working group will attempt to apply existing Internet standards for
>   authentication, and to assure privacy and integrity of sensitive
>   calendaring information.  The protocol for the interoperable
>   transactions will be specified in a document called "Calendar
>   Interoperability Protocol" in the milestone list.
> 
>3. A standard access protocol to allow for the management of calendars,
>   events and to-dos over the Internet. This protocol will be specified
>   in the document called "Calendar Access Protocol" in the milestone
>   list.
> 
>   This working group effort should be developed and stabilized with a
>   6-9 months since there has been considerable prior work done in this
>   area. This prior body of work includes:
> 
>   * Distributed Scheduling Protocol (CHRONOS) IETF Working Group
>   * ISO/IEC SC18 Distributed Office Application for Calendaring,
>     Scheduling and Appointments
>   * MHS Alliance Calendaring and Scheduling Interoperability Protocol
>     (CSIP)
>   * X.400 API Association (XAPIA) Calendaring and Scheduling API (CSA)
>     and Calendaring and Scheduling Interoperabilty Specification
>     (CSIS)
>   * X/Open Consortium Calendaring and Scheduling (XCS) Implementor's
>     Specification
>   * Versit vCalendar format
> 
> 
>   The working group will focus on harmonizing, evolving and developing
>   protocols and algorithms based on this work. The process is subject
>   to extension if many new features are added, or more revision is
>   needed.
> 
> 
> 
> Goals and Milestones: 
>
>   Nov 96       Submit core object specification as Internet-Draft.            
>
>   Dec 96       Submit second draft of core object specification as 
>                Internet-Draft.                                                
>
>   Dec 96       Submit first Internet-Draft of Calendar Interoperability 
>                Protocol.                                                      
>
>   Feb 97       Submit Internet-Draft on Calendar Access Protocol.             
>
>   Mar 97       Submit core object specification to IESG for consideration as a
>                Proposed Standard.                                             
>
>   Mar 97       Submit revised Internet-Draft of Calendar Interoperability 
>                Protocol.                                                      
>
>   Mar 97       Submit Calendar Interoperability Protocol to IESG for 
>                consideration as a Proposed Draft.                             
>
>   May 97       Submit revised Internet-Draft on Calendar Access Protocol.     
>
>   Jun 97       Resolve integration issues with Object interaction 
>                specification.                                                 
>
>   Jun 97       Resolve integration issues with Core object specification.
>
>

---

From: [email-masked]
Date: Wed, 30 Oct 1996 21:14:15 +0100

Thanks for noticing - I'd known that there should be a linkage,
but hadn't gotten around to sending notifications.

The CALSCH group probably has to be reminded that realtime folks
might know something about calendars too; their mindset is very
strongly towards scheduling for physical entities, and only
think of network "events" when reminded.

The problem of timezone for repeating events is enough to make
anyone's stomach turn sour - could you point me at the right chapter
and verse for Mark's definition?
(The killer is "0800, first Thursday of every month, Paris time,
1995-1996" - summer time MOVED)

                    Harald Tveit Alvestrand
                       Apps AD